Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class AxisIteratorImpl

    java.lang.Object
      net.sf.saxon.om.AxisIteratorImpl

All Implemented Interfaces:
  AxisIterator, SequenceIterator, UnfailingIterator

Direct Known Subclasses:
  Navigator.AxisFilter, Navigator.BaseEnumeration

    public abstract class AxisIteratorImpl

extends Object
implements AxisIterator

A SequenceIterator is used to iterate over a sequence. An AxisIterator is a SequenceIterator that always iterates over a set of nodes, and that throws no exceptions; it also supports the ability to find the last() position, again with no exceptions. This class is an abstract implementation of AxisIterator that is used as a base class for many concrete implementations. The main functionality that it provides is maintaining the current position.

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`AxisIteratorImpl()`

Method Summary
`Value` | `atomize()` Return the atomized value of the current node.
`Item` | `current()` Get the current node in the sequence.
`int` | `getProperties()` Get properties of this iterator, as a bit-significant integer.
`CharSequence` | `getStringValue()` Return the string value of the current node.
`AxisIterator` | `iterateAxis(byte axis, NodeTest test)` Return an iterator over an axis, starting at the current node.
`boolean` | `moveNext()` Move to the next node, without returning it.
`int` | `position()` Get the current position

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.om.UnfailingIterator
`getAnother, next`

Constructor Detail

### AxisIteratorImpl

    public AxisIteratorImpl()

Method Detail

### moveNext

    public boolean moveNext()

  Move to the next node, without returning it. Returns true if there is a next node, false if the end of the sequence has been reached. After calling this method, the current node may be retrieved using the current() function.

  Specified by:
    `moveNext` in interface `AxisIterator`

### current

    public Item current()

  Get the current node in the sequence.

  Specified by:
    `current` in interface `SequenceIterator`
  Specified by:
    `current` in interface `UnfailingIterator`
  Returns:
    the node returned by the most recent call on next()

### position

    public final int position()

  Get the current position

  Specified by:
    `position` in interface `SequenceIterator`
  Specified by:
    `position` in interface `UnfailingIterator`
  Returns:
    the position of the most recent node returned by next()

### iterateAxis

    public AxisIterator iterateAxis(byte axis,
                                    NodeTest test)

  Return an iterator over an axis, starting at the current node.

  Specified by:
    `iterateAxis` in interface `AxisIterator`
  Parameters:
    `axis` - the axis to iterate over, using a constant such as `Axis.CHILD`
    `test` - a predicate to apply to the nodes before returning them.

### atomize

    public Value atomize()
                  throws XPathException

  Return the atomized value of the current node.

  Specified by:
    `atomize` in interface `AxisIterator`
  Returns:
    the atomized value.
  Throws:
    `NullPointerException` - if there is no current node
    `XPathException`

### getStringValue

    public CharSequence getStringValue()

  Return the string value of the current node.

  Specified by:
    `getStringValue` in interface `AxisIterator`
  Returns:
    the string value, as an instance of CharSequence.
  Throws:
    `NullPointerException` - if there is no current node

### getProperties

    public int getProperties()

  Get properties of this iterator, as a bit-significant integer.

  Specified by:
    `getProperties` in interface `SequenceIterator`
  Returns:
    the properties of this iterator. This will be some combination of properties such as `SequenceIterator.GROUNDED`, `SequenceIterator.LAST_POSITION_FINDER`, and `SequenceIterator.LOOKAHEAD`. It is always acceptable to return the value zero, indicating that there are no known special properties. It is acceptable for the properties of the iterator to change depending on its state.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.